/*
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package jchess;
import java.awt.*;
import java.net.*;
import javax.swing.*;
import javax.swing.JPanel;
/** Class representing the game interface
 */
public class GUI extends JPanel {//extends JPanel {
    public  Game game;

    public GUI() {
        this.game = new Game();
        //this.drawGUI();
    }/*--endOf-GUI--*/
        
        /*Method load image by a given name with extension
        * @name     : string of image to load for ex. "chessboard.jpg"
        * @returns  : image or null if cannot load
        * */
    static Image loadImage(String name) {
       
       Image img = null;
       URL url = null;
       Toolkit tk = Toolkit.getDefaultToolkit();
       try {
          url  = JChessApp.class.getResource("images/"+name);
          img  = tk.getImage(url);

       } catch (Exception e) {
            System.out.println("some error loading image!");
            e.printStackTrace();
       }
       return img;

    }/*--endOf-loadImage--*/
}
